/**
 * @class Sb.Controller
 * @extends Ext.util.Observable
 *
 * Base class for controllers are special places to put all the code that makes Editor work.
 */
Ext.define('Sb.Controller', {
	extend: 'Ext.util.Observable',

	/**
	 * Creates new Controller.
	 * @param {Object} [config] Config object.
	 */
	constructor: function (config) {
		Sb.Controller.superclass.constructor.call(this);

		Ext.apply(this, config || {});
	},

	/**
	 * Special method that is called when Editor init.
	 */
	init: Ext.emptyFn,

	/**
	 * Special method that is called after Editor launch.
	 */
	onLaunch: Ext.emptyFn
});
