/**
 * @class Sb.Loading
 * Utility class for loading mask
 * @singleton
 */
Ext.define('Sb.Loading', {
	singleton: true,

	/**
	 * Show mask
	 */
	show: function () {
		Ext.get('loading').show();
		Ext.get('loading-mask').show();
	},

	/**
	 * Hide mask
	 */
	hide: function () {
		Ext.get('loading').hide();
		Ext.get('loading-mask').hide();
	},

	/**
	 * Update loading message
	 * @param {String} message
	 */
	updateMessage: function (message) {
		Ext.get('loading-msg').update(message);
	}
});
