/**
 * @class Sb.Locale
 * This singleton object for localization.
 * @singleton
 */
Sb.Locale = (function () {
	var locale = {};

	return {
		/**
		 * Loads locale from a passed data block.
		 * @param {Object} data The data block from which to read the locale.
		 */
		loadData: function (data) {
			locale = Ext.apply(locale, data);
		},

		/**
		 * Return value of key
		 * @param {String} key localization key
		 * @return {String} localization value
		 */
		get: function (key) {
			var result;
			if (locale[key]) {
				result = locale[key];
				if (arguments.length > 1) {
					arguments[0] = result;
					result = String.format.apply(String, arguments);
				}
			} else {
				result = '[' + key + ']';
			}
			return result;
		}
	};
})();
