/**
 * @class Sb.Window
 * @extends Ext.Window
 */
Ext.define('Sb.Window', {
	extend: 'Ext.Window',

	baseCls			: 'sb-dialog',
	shadow			: false,
// :INFO: Not all windows have at least one button. See bug #57978
//	defaultButton	: 0,

	constructor: function (config) {
		config = Ext.apply({
			keys: {
				key		: Ext.EventObject.ENTER,
				handler	: this.onEnterKey,
				scope	: this
			}
		}, config);

		Sb.Window.superclass.constructor.call(this, config);
	},

	createGhost: function () {
		return this.container.createChild({cls: 'x-panel-ghost sb-dialog-ghost', cn: {}}).setSize(this.getSize());
	},

	/**
	 * Runs when user press ENTER in this window
	 * @param {Number} keyCode
	 * @param {Ext.EventObject} e
	 */
	onEnterKey: function (keyCode, e) {
		if (e.getTarget('textarea')) {
			return;
		}
		e.stopEvent();
		this.clickDefaultButton();
	},

	/**
	 * If defaultButton defined, we trying to click it
	 */
	clickDefaultButton: function () {
		var db	= this.defaultButton,
			b	= null;

		if (!Ext.isDefined(db)) {
			return;
		}
		if (Ext.isNumber(db) && this.fbar) {
			b = this.fbar.items.get(db);
		} else if (Ext.isString(db)) {
			b = Ext.getCmp(db);
		} else {
			b = db;
		}

		if (!b.btnEl || !b.btnEl.dom) {
			return;
		}
		b.btnEl.dom.click();
	}
});