/**
 * @class Sb.controller.Pages
 * @extends Sb.Controller
 *
 * Pages controller
 */
Ext.define('Sb.controller.Pages', {
	extend: 'Sb.Controller',

	/**
	 * Create new page
	 * @param {Object} config Object for configure a page including a config widgets structure in property "widget"
	 * @return {Sb.model.SitePage} page
	 */
	createPage: function (config) {
		config = Ext.apply({
			widget: {
				type: 'container_fixed',
				widgets: [{
					type: 'container_vertical',
					region: 'content'
				}, {
					type: 'container_vertical',
					region: 'header'
				}, {
					type: 'container_vertical',
					region: 'column1'
				}, {
					type: 'container_vertical',
					region: 'column2'
				}, {
					type: 'container_vertical',
					region: 'footer'
				}]
			}
		}, config || {});

		return new Sb.model.SitePage(config);
	}
});
