/**
 * @class Sb.dashboard.tile.ExternalServicesTile
 * @extends Sb.dashboard.Tile
 * Class for external services tile
 * @xtype sb.dashboard.tile.externalservices
 */
Ext.define('Sb.dashboard.tile.ExternalServicesTile', {
	extend: 'Sb.dashboard.Tile',
	xtype: 'sb.dashboard.tile.externalservices',

	width: '100%',

	initComponent: function () {
		var store = new Ext.data.ArrayStore({
			fields: ['title', 'url', 'icon', 'description'],
			data: [[
				'StopTheHacker',
				'http://www.stopthehacker.com',
				Sb.Config.skinUrl + '/images/dashboard/external/stop-the-hacker-logo-48.png',
				Ext.util.Format.htmlEncode(Sb.Locale.get('dashboardExternalStopTheHacker'))
			], [
				'Fotolia',
				'http://fotolia.com/swsoft',
				Sb.Config.skinUrl + '/images/dashboard/external/fotolia-logo-48.png',
				Ext.util.Format.htmlEncode(Sb.Locale.get('dashboardExternalFotolia'))
			]]
		});

		var tpl = new Ext.XTemplate(
			'<ul class="sb-dashboard-ext-services-list">',
				'<tpl for=".">',
					'<li class="sb-dashboard-ext-services-item" id="{id}">',
						'<a class="sb-dashboard-ext-services-block" href="{url}" target="_blank">',
							'<span class="sb-dashboard-ext-services-icon"><img src="{icon}"></span>',
							'<h3 class="sb-dashboard-ext-services-name">{title}</h3>',
							'<span class="sb-dashboard-ext-services-info">{description}</span>',
						'</a>',
					'</li>',
				'</tpl>',
			'</ul>'
		);

		var view = new Ext.DataView({
			tpl: tpl,
			store: store,
			autoScroll: true
		});

		Ext.apply(this, {
			height: 620,
			layout: 'fit',
			ctCls: 'sb-dashboard-external',
			titleString: Sb.Locale.get('externalServices'),
			logoCls: 'sb-dashboard-logo-external'
		});

		Sb.dashboard.tile.ExternalServicesTile.superclass.initComponent.call(this);

		this.getContentEl().add(view);
	}
});