/**
 * @class Sb.model.ContainerVerticalWidget
 * @extends Sb.model.Widget
 * Class for vertical container widget model
 * @constructor
 * @param {Object} config The configuration options for the vertical container widget model
 */
Ext.define('Sb.model.ContainerVerticalWidget', {
	extend: 'Sb.model.Widget',

	constructor: function (config) {
		config = Ext.apply({
			type: 'container_vertical'
		}, config);

		Sb.model.ContainerVerticalWidget.superclass.constructor.call(this, config);
	},

	getComputedStyles: function() {
		var fontColor, region, pageContent;

		region = this.get('region');

		if (!this.isInSiteWideArea()) {
			pageContent = Sb.Editor.model.rootPage.widget.widgets.get(region).queryBy(function (widget) {
				return widget.getType() == 'pagecontent';
			})[0];
			if (pageContent) {
				return pageContent.getComputedStyles();
			}
		}

		fontColor = Sb.Editor.model.design.data.fontColor;

		return {
			textColor: fontColor[region + 'TextColor'],
			textStroke: false,
			linkColor: fontColor[region + 'LinkColor'],
			linkStroke: false,
			h1Color: fontColor[region + 'H1Color'],
			h1Stroke: false,
			h2Color: fontColor[region + 'H2Color'],
			h2Stroke: false
		};
	}
});