/**
 * @class Sb.model.EshopBasketWidget
 * @extends Sb.model.Widget
 * Class for EshopBasket model
 * @constructor
 * @param {Object} config The configuration options for the widget model
 */
Ext.define('Sb.model.EshopBasketWidget', {
	extend: 'Sb.model.Widget',

	constructor: function () {
		Sb.model.EshopCatalogWidget.superclass.constructor.apply(this, arguments);
		Sb.Editor.model.on('propertychange', function (key) {
			if (key === 'ecwidStoreId') {
				this.updateIsConfiguredProperties();
			}
		}, this);
		this.updateIsConfiguredProperties();
	},

	computeIsConfiguredProperties: function () {
		return Sb.EcwidWidgetsManager.getEshopId() && !Sb.EcwidWidgetsManager.isInvalidEshopId;
	}
});