/**
 * @class Sb.model.MapWidget
 * @extends Sb.model.Widget
 * Class for map model
 * @constructor
 * @param {Object} config The configuration options for the widget model
 */
Ext.define('Sb.model.MapWidget', {
	extend: 'Sb.model.Widget',

	constructor: function (config) {
		config = Ext.apply({
			type: 'map'
		}, config);

		Sb.model.MapWidget.superclass.constructor.call(this, config);
	},

	changeLocale: function (newLocale) {
		var oldLocale = this.localeCode || Sb.Editor.model.get('locale'),
			markers = this.get('markers');

		this.callParent([newLocale, oldLocale]);

		Ext.each(markers, function (marker, index) {
			markers[index] = this.switchTranslations(
				marker, newLocale, oldLocale, ['title', 'description']
			);
		}, this);

		this.fireEvent('change', this, ['markers']);
	},

	normalizeData: function (data) {
		var oldLocale = this.localeCode || Sb.Editor.model.get('locale');
		data = this.callParent([data]);

		Ext.each(data.markers, function (marker, index) {
			data.markers[index] = this.switchTranslations(
				marker, Sb.Editor.model.get('locale'), oldLocale, ['title', 'description']
			);
		}, this);
		return data;
	}
});
