/**
 * @class Sb.widget.BlogEditPanel
 * @extends Sb.widget.WidgetEditPanel
 * Class for blog widget edit panel
 * @constructor
 * @param {Object} config The config object
 */
Ext.define('Sb.widget.BlogEditPanel', {
	extend: 'Sb.widget.WidgetEditPanel',

	cls: 'sb-widget-edit-panel-blog',

	initComponent: function () {
		Ext.apply(this, {
			layout		: 'form',
			labelWidth	: 275,
			items		: [{
				ref			: 'pageSizeField',
				xtype		: 'numberfield',
				fieldLabel	: Sb.Locale.get('widgetBlogPageSizeFieldTitle'),
				allowBlank	: false,
				allowDecimals: false,
				minValue	: 2,
				maxValue	: 25,
				width		: 32
			}, {
				ref			: 'isAllowCommentsField',
				xtype		: 'checkbox',
				hideLabel	: true,
				hidden		: Sb.Config.widgets.indexOf('commenting') == -1,
				boxLabel	: Sb.Locale.get('widgetBlogIsAllowCommentsFieldTitle')
			}]
		});

		Sb.widget.BlogEditPanel.superclass.initComponent.apply(this, arguments);
	},

	show: function (widget) {
		Sb.widget.BlogEditPanel.superclass.show.call(this, widget);
		this.bindModel({
			pageSize		: 'pageSizeField',
			isAllowComments	: 'isAllowCommentsField'
		});
	}
});