/**
 * @class Sb.widget.BlogPostCut
 * @extends Sb.widget.Widget
 * @constructor
 * @param {Object} config The config object
 */
Ext.define('Sb.widget.BlogPostCut', {
	extend: 'Sb.widget.Widget',
	xtype: 'blog_post_cut_widget',

	cls: 'sb-widget-blog-post-cut',
	hasControls: false,
	hasVisibilityControl: false,
	isShowWhenDrag: true,

	onRender: function () {
		Sb.widget.BlogPost.superclass.onRender.apply(this, arguments);

		this.widgetEl.createChild({cls: 'widget-content-before'}, this.widgetContentEl);
		this.widgetEl.createChild({cls: 'widget-content-after'});
		this.widgetContentEl.update(
			'<table style="width: 100%;"><tr>' +
				'<td class="sb-widget-blog-post-cut-dashes"><span></span></td>' +
				'<td class="sb-widget-blog-post-cut-text"><span>' + Sb.Locale.get('widgetBlogPostCutText') + '</span></td>' +
				'<td class="sb-widget-blog-post-cut-dashes"><span></span></td>' +
			'</tr></table>'
		);
	},

	getStateCls: function (state) {
		return this.cls + '-' + state;
	},

	onContentElementClick: function (event) {
		event.stopEvent();
	}
});
