/**
 * @class Sb.widget.EshopBasketEditPanel
 * @extends Sb.widget.WidgetEditTabPanel
 * Class for eshop basket widget edit panel
 * @constructor
 * @param {Object} config The config object
 */
Ext.define('Sb.widget.EshopBasketEditPanel', {
	extend: 'Sb.widget.WidgetEditPanel',

	initComponent: function () {
		this.defaultView = new Ext.form.RadioGroup({
			fieldLabel: Sb.Locale.get('eshopBasketViewLike'),
			defaults: {
				xtype: 'radio',
				name: 'view'
			},
			items: [{
				inputValue: '',
				checked: true,
				boxLabel: Sb.Locale.get('widgetEshopBasketFixedView')
			}, {
				ref: '../../../eshopId',
				inputValue: 'Mini',
				checked: false,
				boxLabel: Sb.Locale.get('widgetEshopBasketMiniView')
			}]
		});

		Ext.apply(this, {
			layout		: 'form',
			labelAlign	: 'top',
			autoHeight	: true,
			width		: 270,
			items		: this.defaultView
		});
		Sb.widget.EshopBasketEditPanel.superclass.initComponent.apply(this, arguments);
	},

	show: function (widget) {
		Sb.widget.EshopBasketEditPanel.superclass.show.call(this, widget);
		var data = this.widget.model.data;
		this.bindModel(['defaultView']);
	}
});