/**
 * Class for Twitter Feed widget
 *
 * @class Sb.widget.TwitterFeed
 * @extends Sb.widget.Script
 * @xtype twitter_feed_widget
 */
Ext.define('Sb.widget.TwitterFeed', {
	extend: 'Sb.widget.Script',
	xtype: 'twitter_feed_widget',
	cls: 'sb-widget-twitter-feed',

	/**
	 * Event callback, fires on complete edit
	 */
	onCompleteEdit: function () {
		if (this.getEditPanel().codeTextArea.isValid()) {
			Sb.widget.TwitterFeed.superclass.onCompleteEdit.call(this);
		}
	},

	renderContent: function() {
		Sb.widget.Script.superclass.renderContent.call(this);
	},

	afterRenderContent: function () {
		Ext.defer(function () {
			if (window.twttr) {
				window.twttr.widgets.load();
			} else {
				Sb.ResourceManager.require(['//platform.twitter.com/widgets.js']);
			}
		}, 1, this);
	}
});