<?php
# formating text styles can see http://pear.php.net/package/Console_Color
?>
%_Usage: %y<?php echo $this->utility?>%n <%gcommand%n> [%coptions%n]
<?php if ($this->error) {?>
%r%_Error%n:%r <?php echo $this->error->getMessage();?>
%n
<?php }?>
Available commands:
<?php
if (count($this->subcommands) == 1 && isset($this->subcommands['default'])) {
	$tmp = $this->subcommands['default'];
	unset($this->subcommands['default']);
	$this->subcommands[''] = $tmp;
}
$this->subcommands['help'] = array("help" => 'Shows this help page.');

$examplePattern = '/(<example>)(.*)(<\/example>)/';
$notePattern = '/(<note>)(.*)(<\/note>)/';

function getInfoText(&$str, $type = 'note') {
	$text = '';
	$matches = array();
	if ($type == 'note') {
		$pattern = '/(<note>)(.*)(<\/note>)/';
		$start = '%y%_Note: ';
		$end = '%n';
	} else {
		$pattern = '/(<example>)(.*)(<\/example>)/';
		$start = '%_Example: ';
		$end = '%n';
	}
	preg_match($pattern, $str, $matches);
	if (isset($matches[2])) {
		$str = preg_replace($pattern, '', $str);
		$text = $start . $matches[2] . $end;
	}
	return $text;
}

foreach ($this->subcommands as $subCommand => $info) {
	echo "  <%g$subCommand%n>";
	if (isset($info['options']) && !empty($info['options'])) {
		echo " [%coptions%n] ";
	}
	$commandExample = getInfoText($info['help'], 'example');
	$commandNote = getInfoText($info['help']);
 	echo " " . $info['help'] . "\n";
	if (isset($info['options']) && !empty($info['options'])) {
		echo "\t%c Available options%n:";
		foreach ($info['options'] as $optionInfo => $help) {
			$res = explode('|', $optionInfo);
			$option = $res[0];
			if (count($res) == 1) {
				$optionType = '';
			} else if ($res[1] == 'r') {
				$optionType = '%y%_<required>%n';
			} else if ($res[1] == 'o') {
				$optionType = '%y[optional]%n';
			}
			$arg = ($optionType) ? '=%_argument%n ' . $optionType : '';

			$optionExample = getInfoText($help, 'example');
			$optiondNote = getInfoText($help);
			echo "\n\t    --%c%_$option%n$arg  $help";
			if ($optionExample || $optiondNote) {
				echo "\n\t\t----------------------------------------------------------";
				if ($optionExample || $optiondNote) {
					echo "\n\t\t" . $optionExample;
				}
				if ($optionExample || $optiondNote) {
					echo "\n\t\t" . $optiondNote;
				}
			}
		}
	}
	if ($commandExample || $commandNote){
		echo "\n\t____________________________________________________________________\n";
		echo "\t" . $commandExample . "\n\t" . $commandNote . "\n";
	}
	echo "\n";
}