/*
 * @class Ext.ux.util.Color
 * Utility class for color manipulating
 * @singleton
 */
Ext.define("Ext.ux.util.Color",{singleton:true,pack:function(d){var f,e,a,c;f=Math.round(d[0]*255);e=Math.round(d[1]*255);a=Math.round(d[2]*255);c="#"+(f<16?"0":"")+f.toString(16)+(e<16?"0":"")+e.toString(16)+(a<16?"0":"")+a.toString(16);return c.toUpperCase()},unpack:function(a){if(a.length==7){return[parseInt("0x"+a.substring(1,3),16)/255,parseInt("0x"+a.substring(3,5),16)/255,parseInt("0x"+a.substring(5,7),16)/255]}if(a.length==4){return[parseInt("0x"+a.substring(1,2),16)/15,parseInt("0x"+a.substring(2,3),16)/15,parseInt("0x"+a.substring(3,4),16)/15]}},hsl2rgb:function(c){var d,b,f,e,a;f=c[0];e=c[1];a=c[2];b=(a<=0.5)?a*(e+1):a+e-a*e;d=a*2-b;return[Ext.ux.util.Color.hue2rgb(d,b,f+0.33333),Ext.ux.util.Color.hue2rgb(d,b,f),Ext.ux.util.Color.hue2rgb(d,b,f-0.33333)]},hue2rgb:function(b,a,c){c=(c<0)?c+1:((c>1)?c-1:c);if(c*6<1){return b+(a-b)*c*6}if(c*2<1){return a}if(c*3<2){return b+(a-b)*(0.66666-c)*6}return b},rgb2hsl:function(i){var d,k,m,e,n,c,a,f,j;a=i[0];f=i[1];j=i[2];d=Math.min(a,Math.min(f,j));k=Math.max(a,Math.max(f,j));m=k-d;c=(d+k)/2;n=0;if(c>0&&c<1){n=m/(c<0.5?(2*c):(2-2*c))}e=0;if(m>0){if(k==a&&k!=f){e+=(f-j)/m}if(k==f&&k!=j){e+=(2+(j-a)/m)}if(k==j&&k!=a){e+=(4+(a-f)/m)}e/=6}return[e,n,c]},isLight:function(b){var c=Ext.ux.util.Color.unpack(b),a=Ext.ux.util.Color.rgb2hsl(c);return(a[0]<0.55&&a[2]>=0.5)||(a[0]>=0.55&&a[2]>=0.75)},isDark:function(a){return !Ext.ux.util.Color.isLight(a)},getVariant:function(c,d,b){var a=Ext.ux.util.Color.rgb2hsl(Ext.ux.util.Color.unpack(c));a[1]=d<=0?a[1]*(d+1):a[1]+(1-a[1])*d;a[2]=b<=0?a[2]*(b+1):a[2]+(1-a[2])*b;return Ext.ux.util.Color.pack(Ext.ux.util.Color.hsl2rgb(a))},isValid:function(a){return(/^#([0-9A-F]{3}|[0-9A-F]{6})$/i).test(a)},hex2rgba:function(a,b){var c=[];if(b===undefined){b=100}if(a.length==7){c[0]=parseInt("0x"+a.substring(1,3),16);c[1]=parseInt("0x"+a.substring(3,5),16);c[2]=parseInt("0x"+a.substring(5,7),16)}if(a.length==4){c[0]=parseInt("0x"+a.substring(1,2),16)*17;c[1]=parseInt("0x"+a.substring(2,3),16)*17;c[2]=parseInt("0x"+a.substring(3,4),16)*17}c[3]=(b/100).toFixed(2);return c},apply:function(b,c){var e,d,a=[];e=1-(1-c[3])*(1-b[3]);d=(1-c[3])*b[3]*b[0];a[0]=parseInt((c[3]*c[0]+d)/e,10);a[1]=parseInt((c[3]*c[1]+d)/e,10);a[2]=parseInt((c[3]*c[2]+d)/e,10);a[3]=e.toFixed(2);return a}});
/*
 * @class Ext.ux.ColorPicker
 * @extends Ext.BoxComponent
 */
Ext.define("Ext.ux.ColorPicker",{extend:"Ext.BoxComponent",xtype:"colorpicker",_radius:84,_square:100,_width:194,constructor:function(a){a=Ext.apply({delayPeriod:0,value:"#000000"},a);Ext.ux.ColorPicker.superclass.constructor.call(this,a)},initComponent:function(){Ext.ux.ColorPicker.superclass.initComponent.apply(this,arguments);this.addEvents("change","select","mouseup");this.setRawValue(this.value);delete this.value},onRender:function(){this.autoEl={cls:"x-colorpicker",cn:[{cls:"x-colorpicker-h"},{cls:"x-colorpicker-sl"},{cls:"x-colorpicker-thumb x-colorpicker-thumb-h"},{cls:"x-colorpicker-thumb x-colorpicker-thumb-sl"}]};Ext.ux.ColorPicker.superclass.onRender.apply(this,arguments);this.hEl=this.el.first();this.slEl=this.hEl.next();this.hThumb=this.slEl.next();this.slThumb=this.hThumb.next();this.initEvents()},initEvents:function(){this.mon(this.el,"mousedown",this.onMouseDown,this)},onMouseDown:function(a){a.stopEvent();if(this.disabled){return}this.focus();if(!this._dragging){Ext.getDoc().on("mousemove",this.onMouseMove,this);Ext.getDoc().on("mouseup",this.onMouseUp,this);this._dragging=true}var b=this.el.translatePoints(a.getXY());b.left-=this._width/2;b.top-=this._width/2;this._isCircleDrag=Math.max(Math.abs(b.left),Math.abs(b.top))*2>this._square;this.onMouseMove(a)},onMouseMove:function(d){var f=this.el.translatePoints(d.getXY());f.left-=this._width/2;f.top-=this._width/2;if(this._isCircleDrag){var c=Math.atan2(f.left,-f.top)/6.28;if(c<0){c+=1}this.setHSL([c,this.hsl[1],this.hsl[2]])}else{var b=Math.max(0,Math.min(1,-(f.left/this._square)+0.5));var a=Math.max(0,Math.min(1,-(f.top/this._square)+0.5));this.setHSL([this.hsl[0],b,a])}this.delayChange()},lastChangeTime:(new Date()).getTime(),delayChange:function(){if(this.delayPeriod>0){var a=(new Date()).getTime();var b=a-this.lastChangeTime;if(b>this.delayPeriod){this.lastChangeTime=a}else{return}}this.fireEvent("change",this,this.color)},onMouseUp:function(a){Ext.getDoc().un("mousemove",this.onMouseMove,this);Ext.getDoc().un("mouseup",this.onMouseUp,this);this._dragging=false;if(this.delayPeriod>0){this.fireEvent("change",this,this.color)}this.fireEvent("select",this,this.color);this.fireEvent("mouseup",this,this.color)},afterRender:function(){Ext.ux.ColorPicker.superclass.afterRender.apply(this,arguments);this.updateDisplay()},isChanged:true,setRawValue:function(a){var b=Ext.ux.util.Color.unpack(a);if(this.color!=a&&b){this.color=a.toUpperCase();this.rgb=b;this.hsl=Ext.ux.util.Color.rgb2hsl(this.rgb);if(this.rendered){this.updateDisplay()}this.isChanged=true}return this},setValue:function(a){this.setRawValue(a);if(this.isChanged){this.fireEvent("change",this,this.color)}},getValue:function(a){return this.color},setHSL:function(a){this.hsl=a;this.rgb=Ext.ux.util.Color.hsl2rgb(a);this.color=Ext.ux.util.Color.pack(this.rgb);if(this.rendered){this.updateDisplay()}return this},updateDisplay:function(){var a=this.hsl[0]*6.28;this.hThumb.setStyle({left:Math.round(Math.sin(a)*this._radius+this._width/2)+"px",top:Math.round(-Math.cos(a)*this._radius+this._width/2)+"px"});this.slThumb.setStyle({left:Math.round(this._square*(0.5-this.hsl[1])+this._width/2)+"px",top:Math.round(this._square*(0.5-this.hsl[2])+this._width/2)+"px"});this.slEl.setStyle("backgroundColor",Ext.ux.util.Color.pack(Ext.ux.util.Color.hsl2rgb([this.hsl[0],1,0.5])))}});
/*
 * Ext JS Library 3.2.1
 * Copyright(c) 2006-2010 Ext JS, Inc.
 * licensing@extjs.com
 * http://www.extjs.com/license
 */
Ext.define("Ext.ux.data.PagingMemoryProxy",{extend:"Ext.data.MemoryProxy",constructor:function(a){Ext.ux.data.PagingMemoryProxy.superclass.constructor.call(this);this.data=a},doRequest:function(d,f,c,g,j,k,l){c=c||{};var m;try{m=g.readRecords(this.data)}catch(h){this.fireEvent("loadexception",this,l,null,h);j.call(k,null,l,false);return}if(c.filter!==undefined){var a={};if(typeof(c.filter)=="object"){a=c.filter}else{a[c.filterCol||0]=c.filter}Ext.iterate(a,function(e,n){m.records=m.records.filter(function(o){if(typeof(o)=="object"){return String(o.data[e]).match(n)?true:false}else{return String(o).match(c.filter)?true:false}})});m.totalRecords=m.records.length}if(c.sort!==undefined){var b=String(c.dir).toUpperCase()=="DESC"?-1:1;var i=function(n,e){return n>e?1:(n<e?-1:0)};m.records.sort(function(n,e){var o=0;if(typeof(n)=="object"){o=i(n.data[c.sort],e.data[c.sort])*b}else{o=i(n,e)*b}if(o===0){o=(n.index<e.index?-1:1)}return o})}if(c.start!==undefined&&c.limit!==undefined){m.records=m.records.slice(c.start,c.start+c.limit)}j.call(k,m,l,true)}});Ext.data.PagingMemoryProxy=Ext.ux.data.PagingMemoryProxy;
/*
 * Ext JS Library 3.4.0
 * Copyright(c) 2006-2011 Sencha Inc.
 * licensing@sencha.com
 * http://www.sencha.com/license
 */
Ext.define("Ext.ux.Spinner",{extend:"Ext.util.Observable",incrementValue:1,alternateIncrementValue:5,triggerClass:"x-form-spinner-trigger",splitterClass:"x-form-spinner-splitter",alternateKey:Ext.EventObject.shiftKey,defaultValue:0,accelerate:false,constructor:function(a){Ext.ux.Spinner.superclass.constructor.call(this,a);Ext.apply(this,a);this.mimicing=false},init:function(a){this.field=a;a.afterMethod("onRender",this.doRender,this);a.afterMethod("onEnable",this.doEnable,this);a.afterMethod("onDisable",this.doDisable,this);a.afterMethod("afterRender",this.doAfterRender,this);a.afterMethod("onResize",this.doResize,this);a.afterMethod("onFocus",this.doFocus,this);a.beforeMethod("onDestroy",this.doDestroy,this)},doRender:function(b,a){var c=this.el=this.field.getEl();var d=this.field;if(!d.wrap){d.wrap=this.wrap=c.wrap({cls:"x-form-field-wrap"})}else{this.wrap=d.wrap.addClass("x-form-field-wrap")}if(this.wrapperCls){d.wrap.addClass(this.wrapperCls)}this.trigger=this.wrap.createChild({tag:"img",src:Ext.BLANK_IMAGE_URL,cls:"x-form-trigger "+this.triggerClass});if(!d.width){this.wrap.setWidth(c.getWidth()+this.trigger.getWidth())}this.splitter=this.wrap.createChild({tag:"div",cls:this.splitterClass,style:"width:13px; height:2px;"});this.splitter.setRight((Ext.isIE)?1:2).setTop(12).show();this.proxy=this.trigger.createProxy("",this.splitter,true);this.proxy.addClass("x-form-spinner-proxy");this.proxy.setStyle("left","0px");this.proxy.setSize(14,1);this.proxy.hide();this.dd=new Ext.dd.DDProxy(this.splitter.dom.id,"SpinnerDrag",{dragElId:this.proxy.id});this.initTrigger();this.initSpinner()},doAfterRender:function(){var a;if(Ext.isIE&&this.el.getY()!=(a=this.trigger.getY())){this.el.position();this.el.setY(a)}},doEnable:function(){if(this.wrap){this.disabled=false;this.wrap.removeClass(this.field.disabledClass)}},doDisable:function(){if(this.wrap){this.disabled=true;this.wrap.addClass(this.field.disabledClass);this.el.removeClass(this.field.disabledClass)}},doResize:function(a,b){if(typeof a=="number"){this.el.setWidth(a-this.trigger.getWidth())}this.wrap.setWidth(this.el.getWidth()+this.trigger.getWidth())},doFocus:function(){if(!this.mimicing){this.wrap.addClass("x-trigger-wrap-focus");this.mimicing=true;Ext.get(Ext.isIE?document.body:document).on("mousedown",this.mimicBlur,this,{delay:10});this.el.on("keydown",this.checkTab,this)}},checkTab:function(a){if(a.getKey()==a.TAB){this.triggerBlur()}},mimicBlur:function(a){if(!this.wrap.contains(a.target)&&this.field.validateBlur(a)){this.triggerBlur()}},triggerBlur:function(){this.mimicing=false;Ext.get(Ext.isIE?document.body:document).un("mousedown",this.mimicBlur,this);this.el.un("keydown",this.checkTab,this);this.wrap.removeClass("x-trigger-wrap-focus")},initTrigger:function(){this.trigger.addClassOnOver("x-form-trigger-over");this.trigger.addClassOnClick("x-form-trigger-click")},initSpinner:function(){this.field.addEvents({spinup:true,spindown:true});this.keyNav=new Ext.KeyNav(this.el,{up:function(a){a.preventDefault();this.onSpinUp()},down:function(a){a.preventDefault();this.onSpinDown()},pageUp:function(a){a.preventDefault();this.onSpinUpAlternate()},pageDown:function(a){a.preventDefault();this.onSpinDownAlternate()},scope:this});this.repeater=new Ext.util.ClickRepeater(this.trigger,{accelerate:this.accelerate});this.field.mon(this.repeater,"click",this.onTriggerClick,this,{preventDefault:true});this.field.mon(this.trigger,{mouseover:this.onMouseOver,mouseout:this.onMouseOut,mousemove:this.onMouseMove,mousedown:this.onMouseDown,mouseup:this.onMouseUp,scope:this,preventDefault:true});this.field.mon(this.wrap,"mousewheel",this.handleMouseWheel,this);this.dd.setXConstraint(0,0,10);this.dd.setYConstraint(1500,1500,10);this.dd.endDrag=this.endDrag.createDelegate(this);this.dd.startDrag=this.startDrag.createDelegate(this);this.dd.onDrag=this.onDrag.createDelegate(this)},onMouseOver:function(){if(this.disabled){return}var a=this.getMiddle();this.tmpHoverClass=(Ext.EventObject.getPageY()<a)?"x-form-spinner-overup":"x-form-spinner-overdown";this.trigger.addClass(this.tmpHoverClass)},onMouseOut:function(){this.trigger.removeClass(this.tmpHoverClass)},onMouseMove:function(){if(this.disabled){return}var a=this.getMiddle();if(((Ext.EventObject.getPageY()>a)&&this.tmpHoverClass=="x-form-spinner-overup")||((Ext.EventObject.getPageY()<a)&&this.tmpHoverClass=="x-form-spinner-overdown")){}},onMouseDown:function(){if(this.disabled){return}var a=this.getMiddle();this.tmpClickClass=(Ext.EventObject.getPageY()<a)?"x-form-spinner-clickup":"x-form-spinner-clickdown";this.trigger.addClass(this.tmpClickClass)},onMouseUp:function(){this.trigger.removeClass(this.tmpClickClass)},onTriggerClick:function(){if(this.disabled||this.el.dom.readOnly){return}var b=this.getMiddle();var a=(Ext.EventObject.getPageY()<b)?"Up":"Down";this["onSpin"+a]()},getMiddle:function(){var b=this.trigger.getTop();var c=this.trigger.getHeight();var a=b+(c/2);return a},isSpinnable:function(){if(this.disabled||this.el.dom.readOnly){Ext.EventObject.preventDefault();return false}return true},handleMouseWheel:function(a){if(this.wrap.hasClass("x-trigger-wrap-focus")==false){return}var b=a.getWheelDelta();if(b>0){this.onSpinUp();a.stopEvent()}else{if(b<0){this.onSpinDown();a.stopEvent()}}},startDrag:function(){this.proxy.show();this._previousY=Ext.fly(this.dd.getDragEl()).getTop()},endDrag:function(){this.proxy.hide()},onDrag:function(){if(this.disabled){return}var b=Ext.fly(this.dd.getDragEl()).getTop();var a="";if(this._previousY>b){a="Up"}if(this._previousY<b){a="Down"}if(a!=""){this["onSpin"+a]()}this._previousY=b},onSpinUp:function(){var a=this.field.getValue();if(this.isSpinnable()==false){return}this.spin(false,Ext.EventObject.shiftKey);this.field.fireEvent("change",this.field,this.field.getValue(),a);this.field.fireEvent("spinup",this)},onSpinDown:function(){var a=this.field.getValue();if(this.isSpinnable()==false){return}this.spin(true,Ext.EventObject.shiftKey);this.field.fireEvent("change",this.field,this.field.getValue(),a);this.field.fireEvent("spindown",this)},onSpinUpAlternate:function(){var a=this.field.getValue();if(this.isSpinnable()==false){return}this.spin(false,true);this.field.fireEvent("change",this.field,this.field.getValue(),a);this.field.fireEvent("spinup",this)},onSpinDownAlternate:function(){var a=this.field.getValue();if(this.isSpinnable()==false){return}this.spin(true,true);this.field.fireEvent("change",this.field,this.field.getValue(),a);this.field.fireEvent("spindown",this)},spin:function(d,b){var a=parseFloat(this.field.getValue());var c=(b==true)?this.alternateIncrementValue:this.incrementValue;(d==true)?a-=c:a+=c;a=(isNaN(a))?this.defaultValue:a;a=this.fixBoundries(a);this.field.setRawValue(a)},fixBoundries:function(b){var a=b;if(this.field.minValue!=undefined&&a<this.field.minValue){a=this.field.minValue}if(this.field.maxValue!=undefined&&a>this.field.maxValue){a=this.field.maxValue}return this.fixPrecision(a)},fixPrecision:function(b){var a=isNaN(b);if(!this.field.allowDecimals||this.field.decimalPrecision==-1||a||!b){return a?"":b}return parseFloat(parseFloat(b).toFixed(this.field.decimalPrecision))},doDestroy:function(){if(this.trigger){this.trigger.remove()}if(this.wrap){this.wrap.remove();delete this.field.wrap}if(this.splitter){this.splitter.remove()}if(this.dd){this.dd.unreg();this.dd=null}if(this.proxy){this.proxy.remove()}if(this.repeater){this.repeater.purgeListeners()}if(this.mimicing){Ext.get(Ext.isIE?document.body:document).un("mousedown",this.mimicBlur,this)}}});
/*
 * Ext JS Library 3.4.0
 * Copyright(c) 2006-2011 Sencha Inc.
 * licensing@sencha.com
 * http://www.sencha.com/license
 */
Ext.define("Ext.ux.form.SpinnerField",{extend:"Ext.form.NumberField",xtype:"spinnerfield",cls:"x-spinner-field",actionMode:"wrap",deferHeight:true,autoSize:Ext.emptyFn,adjustSize:Ext.BoxComponent.prototype.adjustSize,constructor:function(c){var b=Ext.copyTo({},c,"incrementValue,alternateIncrementValue,accelerate,defaultValue,triggerClass,splitterClass,wrapperCls");var d=this.spinner=new Ext.ux.Spinner(b);var a=c.plugins?(Ext.isArray(c.plugins)?c.plugins.push(d):[c.plugins,d]):d;Ext.ux.form.SpinnerField.superclass.constructor.call(this,Ext.apply(c,{plugins:a}))},getResizeEl:function(){return this.wrap},getPositionEl:function(){return this.wrap},alignErrorIcon:function(){if(this.wrap){this.errorIcon.alignTo(this.wrap,"tl-tr",[2,0])}},validateBlur:function(){return true}});
/*
 * Ext JS Library 3.2.1
 * Copyright(c) 2006-2010 Ext JS, Inc.
 * licensing@extjs.com
 * http://www.extjs.com/license
 */
Ext.define("Ext.ux.form.FileUploadField",{extend:"Ext.form.TextField",xtype:"fileuploadfield",buttonText:"Browse...",buttonOnly:false,buttonOffset:3,customButtonCfg:null,multiple:false,accept:"",readOnly:true,autoSize:Ext.emptyFn,initComponent:function(){Ext.ux.form.FileUploadField.superclass.initComponent.call(this);this.addEvents("fileselected")},onRender:function(c,a){Ext.ux.form.FileUploadField.superclass.onRender.call(this,c,a);this.wrap=this.el.wrap({cls:"x-form-field-wrap x-form-file-wrap"});this.el.addClass("x-form-file-text");this.el.dom.removeAttribute("name");this.createFileInput();var b=Ext.applyIf(this.buttonCfg||{},{text:this.buttonText});this.button=this.customButtonCfg?new Ext.Component(Ext.apply(this.customButtonCfg,{renderTo:this.wrap})):new Ext.Button(Ext.apply(b,{renderTo:this.wrap,cls:"x-form-file-btn"+(b.iconCls?" x-btn-icon":"")}));this.bindListeners();this.resizeEl=this.positionEl=this.wrap},afterRender:function(d){var b,a;Ext.ux.form.FileUploadField.superclass.afterRender.call(this,d);if(this.buttonOnly){this.el.hide();a=this.button.getEl();b=a.getWidth();if(Ext.isIE10){b++;this.button.getEl().setWidth(b)}this.wrap.setWidth(b)}},bindListeners:function(){this.fileInput.on({scope:this,mouseenter:function(){this.button.addClass(["x-btn-over","x-btn-focus"])},mouseleave:function(){this.button.removeClass(["x-btn-over","x-btn-focus","x-btn-click"])},mousedown:function(){this.button.addClass("x-btn-click")},mouseup:function(){this.button.removeClass(["x-btn-over","x-btn-focus","x-btn-click"]);if(Ext.isSafari){var a=Ext.getBody().mask();a.setStyle({zIndex:40000,opacity:0});a.on("click",function(){Ext.getBody().unmask()})}},change:function(){if(Ext.isSafari){Ext.getBody().unmask()}var e=this.fileInput.dom,b=[],c,a;if(e.files){for(c=0,a=e.files.length;c<a;c++){b.push(e.files[c].name)}b=(b.length===0)?[""]:b}else{b.push(e.value)}b=(b.length==1)?b[0]:b;this.setValue(b);this.fireEvent("fileselected",this,b)}})},createFileInput:function(){var a={id:this.getFileInputId(),name:this.name||this.getId(),cls:"x-form-file",tag:"input",type:"file",size:1,tabindex:-1,accept:this.accept};if(this.multiple){a.multiple=true;a.name+="[]"}this.fileInput=this.wrap.createChild(a)},reset:function(){if(this.rendered){this.fileInput.remove();this.createFileInput();this.bindListeners()}Ext.ux.form.FileUploadField.superclass.reset.call(this)},getFileInputId:function(){return this.id+"-file"},onResize:function(a,b){Ext.ux.form.FileUploadField.superclass.onResize.call(this,a,b);this.wrap.setWidth(a);if(!this.buttonOnly){a=this.wrap.getWidth()-this.button.getEl().getWidth()-this.buttonOffset;this.el.setWidth(a)}},onDestroy:function(){Ext.ux.form.FileUploadField.superclass.onDestroy.call(this);Ext.destroy(this.fileInput,this.button,this.wrap)},onDisable:function(){Ext.ux.form.FileUploadField.superclass.onDisable.call(this);this.doDisable(true)},onEnable:function(){Ext.ux.form.FileUploadField.superclass.onEnable.call(this);this.doDisable(false)},doDisable:function(a){this.fileInput.dom.disabled=a;this.button.setDisabled(a)},preFocus:Ext.emptyFn,alignErrorIcon:function(){this.errorIcon.alignTo(this.wrap,"tl-tr",[2,0])},getFiles:function(){return this.fileInput.dom.files},setButtonText:function(a){this.buttonText=a;if(this.button){this.button.setText(a);if(this.buttonOnly){this.wrap.setWidth(this.button.getEl().getWidth())}}}});Ext.form.FileUploadField=Ext.ux.form.FileUploadField;
/*
 * Ext.ux.IconCombo Extension Class
 * @class Ext.ux.IconCombo
 * @extends Ext.form.ComboBox
 * @constructor
 * @param {Object} config Configuration options
 */
Ext.define("Ext.ux.IconCombo",{extend:"Ext.form.ComboBox",xtype:"iconcombo",initComponent:function(){var a='<tpl for="."><div class="x-combo-list-item x-icon-combo-item';if(this.iconClsField){a+=" {"+this.iconClsField+'}"'}if(this.iconStyleField){a+='" style="{'+this.iconStyleField+'}"'}a+=">{"+this.displayField+"}</div></tpl>";Ext.apply(this,Ext.apply(this.initialConfig,{tpl:a}));Ext.ux.IconCombo.superclass.initComponent.apply(this,arguments)},onRender:function(b,a){Ext.ux.IconCombo.superclass.onRender.apply(this,arguments);this.wrap.applyStyles({position:"relative"});this.el.addClass("x-icon-combo-input");this.icon=Ext.DomHelper.append(this.wrap,{tag:"div",className:"x-icon-combo-icon",style:"position: absolute;"})},afterRender:function(){Ext.ux.IconCombo.superclass.afterRender.apply(this,arguments);if(undefined!==this.value){this.setValue(this.value)}},refreshIcon:function(){var a=this.store.query(this.valueField,this.getValue()).itemAt(0);if(a&&this.icon){if(this.iconClsField){this.icon.className="x-icon-combo-icon "+a.get(this.iconClsField)}if(this.iconStyleField){this.icon.className="x-icon-combo-icon";Ext.DomHelper.applyStyles(this.icon,a.get(this.iconStyleField))}}},setValue:function(a){Ext.ux.IconCombo.superclass.setValue.call(this,a);this.refreshIcon()},clearValue:function(){Ext.ux.IconCombo.superclass.clearValue.call(this);if(this.icon){this.icon.className="x-icon-combo-icon";Ext.DomHelper.applyStyles(this.icon,"position: absolute;")}}});Ext.override(Ext.Window.DD,{startDrag:function(){var a=this.win;a.fireEvent("ghost",[]);this.proxy=a.ghost(a.initialConfig.cls);if(a.constrain!==false){var c=a.el.shadowOffset;this.constrainTo(a.container,{right:c,left:c,bottom:c})}else{if(a.constrainHeader!==false){var b=this.proxy.getSize();this.constrainTo(a.container,{right:-(b.width-this.headerOffsets[0]),bottom:-(b.height-this.headerOffsets[1])})}}}});Ext.override(Ext.Window,{setZIndex:function(b){var a=++b;if(this.modal){this.mask.setStyle("z-index",b)}this.el.setZIndex(a);b+=5;if(this.resizer){this.resizer.proxy.setStyle("z-index",++b)}if(a>this.lastZIndex){this.fireEvent("tofront",this)}else{this.fireEvent("toback",this)}this.lastZIndex=b}});Ext.define("Ext.ux.plugins.WindowDrawer",{extend:"Ext.Window",closable:false,resizable:false,margin:5,overlap:5,show:function(a){if(this.hidden&&this.fireEvent("beforeshow",this)!==false){this.hidden=false;this.onBeforeShow();this.afterShow(!!a)}},hide:function(a){if(this.hidden){return}if(this.animate===true&&!a){if(this.el.shadow){this.el.disableShadow()}this.el.slideOut(this.alignToParams.slideDirection,{scope:this,duration:this.animDuration||0.25})}else{Ext.ux.plugins.WindowDrawer.superclass.hide.call(this)}this.hidden=true},init:function(a){this.win=a;this.resizeHandles=this.side;this.manager=a.manager;a.drawers=a.drawers||{};a.drawers[this.side]=this;a.on({scope:this,tofront:this.onBeforeShow,toback:this.onBeforeShow,ghost:this.onBeforeResize,minimize:this.onBeforeResize,move:this.alignAndShow,resize:this.alignAndShow,afterlayout:this.alignAndShow,beforedestroy:this.destroy,render:function(b){this.render(b.ownerCt?b.ownerCt.getEl():Ext.getBody())},beforehide:function(){this.hide(true)}})},initComponent:function(){Ext.apply(this,{frame:true,draggable:false,modal:false,closeAction:"hide",alignToParams:{}});this.on({beforeshow:{scope:this,fn:this.onBeforeShow},beforehide:{scope:this,fn:this.onBeforeHide}});if(this.size){if(this.side=="e"||this.side=="w"){this.width=this.size}else{this.height=this.size}}Ext.ux.plugins.WindowDrawer.superclass.initComponent.apply(this)},onBeforeResize:function(){if(!this.hidden){this.showAgain=true}this.hide(true)},onBeforeHide:function(){if(this.animate){this.getEl().addClass("x-panel-animated")}},onBeforeShow:function(){this.el.addClass("x-panel-animated");this.setAlignment();this.setZIndex(this.win.el.getZIndex()-3)},afterShow:function(a){if(this.animate&&!a){this.getEl().removeClass("x-panel-animated");this.el.slideIn(this.alignToParams.slideDirection,{scope:this,duration:this.animDuration||0.25,callback:function(){if(this.el.shadow){this.el.enableShadow(true)}this.el.show()}})}else{Ext.ux.plugins.WindowDrawer.superclass.afterShow.call(this)}},alignAndShow:function(){if(this.win.minimized){return}this.setAlignment();if(this.showAgain){this.show(true)}this.showAgain=false},setAlignment:function(){switch(this.side){case"n":this.setWidth(this.win.el.getWidth()-2*this.margin);Ext.apply(this.alignToParams,{alignTo:"tl",alignToXY:[this.margin,this.overlap-this.el.getComputedHeight()],slideDirection:"b"});break;case"s":this.setWidth(this.win.el.getWidth()-2*this.margin);Ext.apply(this.alignToParams,{alignTo:"bl",alignToXY:[this.margin,-2-(Ext.isIE6?0:this.overlap)],slideDirection:"t"});break;case"e":this.setHeight(this.win.el.getHeight()-2*this.margin);Ext.apply(this.alignToParams,{alignTo:"tr",alignToXY:[-this.overlap,this.margin],slideDirection:"l"});break;case"w":this.setHeight(this.win.el.getHeight()-2*this.margin);Ext.apply(this.alignToParams,{alignTo:"tl",alignToXY:[this.overlap-this.el.getComputedWidth(),this.margin],slideDirection:"r"});break}if(!this.hidden){this.el.alignTo(this.win.el,this.alignToParams.alignTo,this.alignToParams.alignToXY);if(Ext.isIE){this.bwrap.hide();this.bwrap.show()}}this.doLayout()},toFront:function(){this.win.toFront();return this}});Ext.define("Ext.ux.jsonp.Request",{extend:"Ext.util.Observable",url:"",params:{},success:Ext.emptyFn,failure:Ext.emptyFn,callback:Ext.emptyFn,scope:null,callbackKey:"callback",script:null,timeout:30000,constructor:function(a){a=a||{};Ext.apply(this,a);this.script=document.createElement("script");this.script.type="text/javascript"},start:function(a){this.params[this.callbackKey]=a;this.script.src=this.url+"?"+Ext.urlEncode(this.params);document.getElementsByTagName("head")[0].appendChild(this.script)},finish:function(a){this.callback.apply(this.scope);if(a){this.success.apply(this.scope,[a])}else{this.failure.apply(this.scope)}},destroy:function(){document.getElementsByTagName("head")[0].removeChild(this.script)}});Ext.define("Ext.ux.jsonp.Manager",function(){var a=[],d=new Ext.util.DelayedTask(this.callback,this),b=false;function c(){if(b||a.length===0){return}var e=a[0];e.start("Ext.ux.jsonp.Manager.callback");d.delay(e.timeout);b=true}return{singleton:true,request:function(e){a.push(new Ext.ux.jsonp.Request(e));c()},callback:function(e){d.cancel();b=false;var f=a.shift();f.finish(e);Ext.destroy(f);c()}}});Ext.define("Ext.ux.uploader.Uploader",{extend:"Ext.util.Observable",constructor:function(a){this.url=Ext.urlAppend(a.url,Ext.urlEncode(a.params||{}));Ext.ux.uploader.Uploader.superclass.constructor.call(this,a)},createXhr:function(){var a=new XMLHttpRequest();a.open("POST",this.url,true);a.setRequestHeader("X-Requested-With","XMLHttpRequest");a.setRequestHeader("Cache-Control","no-cache");return a},uploadItem:function(a){var c=this.createXhr(),b=new FormData();b.append("file",a.getFileObject());c.onreadystatechange=this.stateChangeHandler.createDelegate(this,[c,a]);c.send(b)},stateChangeHandler:function(b,a){if(b.readyState===4){if(b.status===200){this.onUploadSuccess(b,a)}else{this.onUploadFailure(b,a)}}},onUploadSuccess:function(b,d){var a,e={success:false,message:"",result:{},response:b};try{a=Ext.decode(b.responseText)}catch(c){}if(a){Ext.apply(e,{success:a.success||e.success,message:a.message||e.message,result:a})}if(e.success){this.fireEvent("uploadsuccess",d,e)}else{this.fireEvent("uploadfailure",d,e)}},onUploadFailure:function(a,b){var c={success:false,message:a.statusText,response:a};this.fireEvent("uploadfailure",b,c)}});Ext.define("Ext.ux.uploader.Item",{extend:"Ext.util.Observable",STATUS_READY:"ready",STATUS_UPLOADING:"uploading",STATUS_UPLOADED:"uploaded",STATUS_UPLOAD_ERROR:"uploaderror",constructor:function(a){Ext.ux.uploader.Item.superclass.constructor.call(this,a);this.status=this.STATUS_READY;this.fileObject=a.file;this.addEvents("changestatus")},reset:function(){this.uploadErrorMessage="";this.setStatus(this.STATUS_READY)},getFileObject:function(){return this.fileObject},getFilename:function(){return this.getProperty("name")},getSize:function(){return this.getProperty("size")},getType:function(){return this.getProperty("type")},getProperty:function(a){if(this.fileObject){return this.fileObject[a]}return null},getStatus:function(){return this.status},setStatus:function(a){this.status=a;this.fireEvent("changestatus",this,a)},isReady:function(){return(this.status===this.STATUS_READY)},isUploaded:function(){return(this.status===this.STATUS_UPLOADED)},setUploaded:function(){this.setStatus(this.STATUS_UPLOADED)},isUploadError:function(){return(this.status===this.STATUS_UPLOAD_ERROR)},getUploadErrorMessage:function(){return this.uploadErrorMessage},setUploadError:function(a){this.uploadErrorMessage=a;this.setStatus(this.STATUS_UPLOAD_ERROR)},setUploading:function(){this.setStatus(this.STATUS_UPLOADING)}});Ext.define("Ext.ux.uploader.Manager",{extend:"Ext.util.Observable",constructor:function(a){this.addEvents("startupload","completeupload","itemuploadsuccess","itemuploadfailure");Ext.apply(this,{url:a.url,listeners:a.listeners,waitMsg:a.waitMsg,items:new Ext.util.MixedCollection(),uploadActive:false,errorCount:0});if(a.items){this.addItems(a.items)}this.uploader=new Ext.ux.uploader.Uploader({url:this.url,params:a.params||{}});this.uploader.on("uploadsuccess",this.onUploadSuccess,this);this.uploader.on("uploadfailure",this.onUploadFailure,this);Ext.ux.uploader.Manager.superclass.constructor.call(this,a)},startUpload:function(){if(this.uploadActive||this.items.length===0){return}this.uploadActive=true;this.fireEvent("startupload",this);if(this.waitMsg){Ext.MessageBox.wait(this.waitMsg,this.waitTitle)}this.uploadNextItem()},uploadNextItem:function(){if(!this.uploadActive){return}var a;this.items.each(function(b){if(b.isReady()){a=b;return false}});if(!a){return}a.setUploading();this.uploader.uploadItem(a)},finishUpload:function(){this.fireEvent("completeupload",this,this.errorCount);if(this.waitMsg){Ext.MessageBox.updateProgress(1);Ext.MessageBox.hide()}this.uploadActive=false;this.errorCount=0},addItems:function(b){if(!b.length){return}var a=[];Ext.each(b,function(c){var d=new Ext.ux.uploader.Item({file:c});a.push(d)},this);this.items.addAll(a)},clearItems:function(){this.items.clear()},getItems:function(){return this.items.getRange()},afterItemUpload:function(a){this.uploadNextItem();if(this.items.last().getFilename()===a.getFilename()){this.finishUpload()}},onUploadSuccess:function(a,b){a.setUploaded();this.fireEvent("itemuploadsuccess",a,b);this.afterItemUpload(a)},onUploadFailure:function(a,b){a.setUploadError(b.message);this.errorCount++;this.fireEvent("itemuploadfailure",a,b);this.afterItemUpload(a)}});
/*
 * Ext JS Library 3.4.0
 * Copyright(c) 2006-2011 Sencha Inc.
 * licensing@sencha.com
 * http://www.sencha.com/license
 */
Ext.ns("Ext.ux.grid");Ext.ux.grid.RowExpander=Ext.extend(Ext.util.Observable,{expandOnEnter:true,expandOnDblClick:true,header:"",width:20,sortable:false,fixed:true,hideable:false,menuDisabled:true,dataIndex:"",id:"expander",lazyRender:true,enableCaching:true,constructor:function(a){Ext.apply(this,a);this.addEvents({beforeexpand:true,expand:true,beforecollapse:true,collapse:true});Ext.ux.grid.RowExpander.superclass.constructor.call(this);if(this.tpl){if(typeof this.tpl=="string"){this.tpl=new Ext.Template(this.tpl)}this.tpl.compile()}this.state={};this.bodyContent={}},getRowClass:function(a,e,d,c){d.cols=d.cols-1;var b=this.bodyContent[a.id];if(!b&&!this.lazyRender){b=this.getBodyContent(a,e)}if(b){d.body=b}return this.state[a.id]?"x-grid3-row-expanded":"x-grid3-row-collapsed"},init:function(b){this.grid=b;var a=b.getView();a.getRowClass=this.getRowClass.createDelegate(this);a.enableRowBody=true;b.on("render",this.onRender,this);b.on("destroy",this.onDestroy,this)},onRender:function(){var a=this.grid;var b=a.getView().mainBody;b.on("mousedown",this.onMouseDown,this,{delegate:".x-grid3-row-expander"});if(this.expandOnEnter){this.keyNav=new Ext.KeyNav(this.grid.getGridEl(),{enter:this.onEnter,scope:this})}if(this.expandOnDblClick){a.on("rowdblclick",this.onRowDblClick,this)}},onDestroy:function(){if(this.keyNav){this.keyNav.disable();delete this.keyNav}var a=this.grid.getView().mainBody;if(a){a.un("mousedown",this.onMouseDown,this)}},onRowDblClick:function(a,b,c){this.toggleRow(b)},onEnter:function(h){var f=this.grid;var j=f.getSelectionModel();var b=j.getSelections();for(var c=0,a=b.length;c<a;c++){var d=f.getStore().indexOf(b[c]);this.toggleRow(d)}},getBodyContent:function(a,b){if(!this.enableCaching){return this.tpl.apply(a.data)}var c=this.bodyContent[a.id];if(!c){c=this.tpl.apply(a.data);this.bodyContent[a.id]=c}return c},onMouseDown:function(b,a){b.stopEvent();var c=b.getTarget(".x-grid3-row");this.toggleRow(c)},renderer:function(b,c,a){c.cellAttr='rowspan="2"';return'<div class="x-grid3-row-expander">&#160;</div>'},beforeExpand:function(b,a,c){if(this.fireEvent("beforeexpand",this,b,a,c)!==false){if(this.tpl&&this.lazyRender){a.innerHTML=this.getBodyContent(b,c)}return true}else{return false}},toggleRow:function(a){if(typeof a=="number"){a=this.grid.view.getRow(a)}this[Ext.fly(a).hasClass("x-grid3-row-collapsed")?"expandRow":"collapseRow"](a)},expandRow:function(c){if(typeof c=="number"){c=this.grid.view.getRow(c)}var b=this.grid.store.getAt(c.rowIndex);var a=Ext.DomQuery.selectNode("tr:nth(2) div.x-grid3-row-body",c);if(this.beforeExpand(b,a,c.rowIndex)){this.state[b.id]=true;Ext.fly(c).replaceClass("x-grid3-row-collapsed","x-grid3-row-expanded");this.fireEvent("expand",this,b,a,c.rowIndex)}},collapseRow:function(c){if(typeof c=="number"){c=this.grid.view.getRow(c)}var b=this.grid.store.getAt(c.rowIndex);var a=Ext.fly(c).child("tr:nth(1) div.x-grid3-row-body",true);if(this.fireEvent("beforecollapse",this,b,a,c.rowIndex)!==false){this.state[b.id]=false;Ext.fly(c).replaceClass("x-grid3-row-expanded","x-grid3-row-collapsed");this.fireEvent("collapse",this,b,a,c.rowIndex)}}});Ext.preg("rowexpander",Ext.ux.grid.RowExpander);Ext.grid.RowExpander=Ext.ux.grid.RowExpander;